> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.truecold.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create multiple handling_units



## OpenAPI

````yaml post /handling_unit/many
openapi: 3.0.0
info:
  title: TrueCold API
  version: 1.0.0
  description: API documentation for TrueCold application
servers:
  - url: https://api.truecold.io
    description: Production server
security:
  - apiKeyAuth: []
tags:
  - name: Carriers
    description: Carrier management operations
  - name: Shipments
    description: Shipment tracking and management
  - name: Deliveries
    description: Delivery management operations
  - name: Locations
    description: Location management
  - name: Handling Units
    description: Handling unit operations
  - name: Alerts
    description: Alert system management
  - name: Sensors
    description: Sensor management and monitoring
paths:
  /handling_unit/many:
    post:
      tags:
        - Handling Units
      summary: Create multiple handling_units
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                hanlding_units:
                  type: array
                  items:
                    $ref: '#/components/schemas/Handling_unitInput'
                  description: Array of handling units to create
              required:
                - hanlding_units
      responses:
        '201':
          description: Successfully created handling_units
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Handling_unit'
        '400':
          description: Invalid input data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - apiKeyAuth: []
components:
  schemas:
    Handling_unitInput:
      type: object
      description: Handling unit input data for creation
      properties:
        code:
          type: string
          description: Handling unit code
        delivery_id:
          type: string
          format: uuid
          description: Related delivery ID (optional)
          nullable: true
        zone_id:
          type: string
          format: uuid
          description: Related zone ID (optional)
        site_id:
          type: string
          format: uuid
          description: Related site ID (optional)
        material_id:
          type: string
          description: Related material ID
        date:
          type: string
          format: date-time
          description: Custom creation date (optional, must be in the past)
          nullable: true
      required:
        - code
        - material_id
    Handling_unit:
      type: object
      description: Handling_unit entity (API response)
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier
        created_at:
          type: string
          format: date-time
          description: Creation timestamp
        code:
          type: string
          description: code code
        material_code:
          type: string
          description: material code
        material_name:
          type: string
          description: material name
        account_id:
          type: string
          format: uuid
          description: Account ID
        site_id:
          type: string
          format: uuid
          description: Site ID
        soft_deleted:
          type: string
          format: date-time
          description: Soft deletion timestamp
        soft_deleted_by:
          type: string
          description: User who soft deleted the record
        material_id:
          type: string
          format: uuid
          description: Material ID
        TOR_accumulated_minutes:
          type: integer
          description: TOR Accumulated Minutes
        max_temp:
          type: number
          description: Max Temp
        min_temp:
          type: number
          description: Min Temp
        updated_at:
          type: string
          format: date-time
          description: Last update timestamp
        zone_id:
          type: string
          format: uuid
          description: Zone ID
        delivery_id:
          type: string
          format: uuid
          description: Delivery ID
        emails_to_notify:
          type: array
          description: Email address
          items:
            type: string
        avg_temp:
          type: number
          description: Average temperature
          nullable: true
        humidity_min:
          type: number
          description: Minimum humidity
          nullable: true
        humidity_max:
          type: number
          description: Maximum humidity
          nullable: true
        humidity_avg:
          type: number
          description: Average humidity
          nullable: true
        risk_score:
          type: number
          description: Risk score
          nullable: true
        archived:
          type: boolean
          description: Whether the handling unit is archived
          nullable: true
    Error:
      type: object
      properties:
        message:
          type: string
          description: Error message
          example: An error occurred
        code:
          type: string
          description: Error code
          example: ERROR_CODE
        details:
          type: object
          description: Additional error details (optional)
      required:
        - message
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        API key for authentication. Contact your administrator to get an API
        key.

````